Upsert Extension Application Content

post

/content/sim/v2/setup/upsertExtensionApplicationContent

Updates provided fields if the Extension Application Content exists; inserts new Extension Application Content if it does not. Uploaded content is supplied as multipart file content outside the metadata body and must be less than 10 MB. Content is required for insert-path upsert and for update-path upsert when contentTypeId is changed.

Request

Supported Media Types
Header Parameters
Body ()
Extension Application Content upsert metadata request body.
Root Schema : schema
Type: object
Show Source
  • Content type identifier.
    ValueDescription
    1LooseXaml
    3DLL
    6ResourceDictionary
    7PythonScript
    8Image_BMP
    9Image_JPG
    10Image_TIFF
    11Image_GIF
    12Image_PNG
    13Icon
    14Resource_Generic
    15Resource_Style
    16Resource_Brush
    17Resource_Font
    19SimScript
    21CSS
    22Javascript
    23Text
    24Binary
    27Package
    SimScript and Package uploads generate signatures.
    Example: 19
  • description
    A group of string objects representing the description in configured languages. Can be null or empty.
  • Unique reference of the Extension Application Content. Required for updates through upsert.
    Example: 501
  • Unique reference of the Extension Application. Required for inserts through upsert.
    Example: 101
  • Original file path or source name.
    Example: C:\Program Files\Oracle Hospitality\Extension\loyalty.pkg
  • Unique hierarchy unit value.
    Example: 3599
  • Host type. Valid range is 1 to 3.
    Example: 1
  • Maximum compatibility version. Must be a number or dot-separated numbers.
    Example: 24.1
  • Minimum compatibility version. Must be a number or dot-separated numbers. When maxCompatibilityVersion is also provided, minCompatibilityVersion cannot be greater.
    Example: 23.9
  • Default Value: 0000000000000000000000000000000000000000000000000000000000000000
    Bit string of length 64 representing the Extension Application Content options.
    Example: 0000000000000000000000000000000000000000000000000000000000000000
  • Optional Package comments stored in generated package configuration.
    Example: Loyalty package import
  • Optional passkey used to unlock password-protected Package uploads.
    Example: package-passkey
  • Default Value: 11111111111111111111111111111111
    Bit string of length 32 representing the Extension Application Content targets.
    Example: 11111111111111111111111111111111
  • Zoneable key for the Extension Application Content. Required for inserts through upsert and cannot be set to null.
    Example: Workstation
Nested Schema : description
Type: object
A group of string objects representing the description in configured languages. Can be null or empty.
Example:
{
    "1":"Loyalty package",
    "2":"Loyalty package"
}
Back to Top

Response

Supported Media Types

200 Response

Extension Application Content updated.
Body ()
Root Schema : schema
Type: object
Show Source

201 Response

Extension Application Content inserted.
Body ()
Root Schema : schema
Type: object
Show Source
Back to Top